CC      := ppc-amigaos-gcc
STRIP   := ppc-amigaos-strip -R.comment
RM      := rm -f

TARGET  := DTConvert
VERSION := 1

CFLAGS  := -O2 -g -Wall -Werror -Wwrite-strings
LDFLAGS := 
LIBS    := -lauto

OBJS    := main.o

.PHONY: all
all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) -o $@.debug $^ $(LIBS)
	$(STRIP) -o $@ $@.debug

.PHONY: clean
clean:
	$(RM) *.debug *.o

.PHONY: revision
revision:
	bumprev $(VERSION) $(TARGET)

